package com.ruoyi.system.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 站点信息业务对象 zs_website
 *
 * @author ruoyi
 * @date 2025-04-28
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZsWebsiteBo extends BaseEntity {

    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 语言编码
     */
    @NotBlank(message = "语言编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String languageCode;

    /**
     * 网站地址
     */
    private String url;

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String siteName;

    /**
     * 口号
     */
    private String slogan;

    /**
     * Logo
     */
    private String logo;

    /**
     * icon
     */
    private String icon;

    /**
     * 备案
     */
    private String record;

    /**
     * 版本号
     */
    private String version;

    /**
     * 邮箱
     */
    private String email;

    /**
     * SEO标题
     */
    private String seoTitle;

    /**
     * SEO关键字
     */
    private String seoKeyword;

    /**
     * SEO描述
     */
    private String seoDescription;

    /**
     * robots
     */
    private String robotsRule;

    /**
     * sitemap
     */
    private String sitemapGule;

    /**
     * 统计编码
     */
    private String statisticsCode;


}
